Subject: Texas Labor Law Poster Service
From: "Customer Service" <[email-masked]>
To: <[email-masked]>
Date: Wed, 14 May 2008 18:11:31 -0400

Attached is a copy of the tracking information for order #455401.  I am working on getting the recording of the call so we can verify exactly how the order was processed and who requested/approved it.  It may take a day or so since it was from back in January.  Feel free to contact me with any further questions in the mean time.  I will be in contact with you as soon as I have any further information.
Thank you,
Michael Bishop - (for Dawn B.)
Labor Law Poster Service
Phone 877-321-4144
Fax 888-442-4144
[email-masked]